Package com.smartgwt.client.widgets.layout

# Class ImgSectionHeader

java.lang.Object
com.google.gwt.user.client.ui.UIObject
com.google.gwt.user.client.ui.Widget
com.smartgwt.client.widgets.BaseWidget
com.smartgwt.client.widgets.Canvas
com.smartgwt.client.widgets.layout.Layout
com.smartgwt.client.widgets.layout.HLayout
com.smartgwt.client.widgets.layout.ImgSectionHeader

All Implemented Interfaces:
  `HasAttachHandlers`, `HasHandlers`, `EventListener`, `HasVisibility`, `IsWidget`, `LogicalStructure`, `HasClearHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasDragMoveHandlers`, `HasDragRepositionMoveHandlers`, `HasDragRepositionStartHandlers`, `HasDragRepositionStopHandlers`, `HasDragResizeMoveHandlers`, `HasDragResizeStartHandlers`, `HasDragResizeStopHandlers`, `HasDragStartHandlers`, `HasDragStopHandlers`, `HasDropHandlers`, `HasDropMoveHandlers`, `HasDropOutHandlers`, `HasDropOverHandlers`, `HasFocusChangedHandlers`, `HasHoverHandlers`, `HasHoverHiddenHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseStillDownHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasMovedHandlers`, `HasParentMovedHandlers`, `HasResizedHandlers`, `HasRightMouseDownHandlers`, `HasRuleContextChangedHandlers`, `HasScrolledHandlers`, `HasShowContextMenuHandlers`, `HasVisibilityChangedHandlers`, `HasMembersChangedHandlers`, `HasSectionHeaderTitleHoverHandlers`

public class ImgSectionHeader extends HLayout implements HasSectionHeaderTitleHoverHandlers
SectionHeader class based on an HLayout with `StretchImg` background.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

  `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

  `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

  ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

  `DEBUG_ID_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImgSectionHeader()`
  `ImgSectionHeader(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addSectionHeaderTitleHoverHandler(SectionHeaderTitleHoverHandler handler)`
  Add a sectionHeaderTitleHover handler.
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `protected JavaScriptObject`
  `create()`
  `StretchImg`
  `getBackground()`
  Background of the section header, based on a `StretchImg`.
  `Boolean`
  `getClipTitle()`
  If the title for this section header is too large for the available space, should the title be clipped?
  `Layout`
  `getControlsLayout()`
  A `Layout` containing specified `controls` if any.
  `String`
  `getIcon()`
  Optional icon to be shown with the button title text.
  `String`
  `getIconAlign()`
  If this button is showing an icon should it be right or left aligned?
  `Integer`
  `getIconHeight()`
  Height in pixels of the icon image.
  `String`
  `getIconOrientation()`
  If this button is showing an icon should it appear to the left or right of the title? valid options are `"left"` and `"right"`.
  `int`
  `getIconSize()`
  Size in pixels of the icon image.
  `Integer`
  `getIconWidth()`
  Width in pixels of the icon image.
  `LogicalStructureObject`
  `getLogicalStructure()`
  Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `Boolean`
  `getNoDoubleClicks()`
  By default doubleClicks are disabled for SectionHeaders.
  `static ImgSectionHeader`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getPrompt()`
  Prompt displayed in hover canvas if `showHover` is true.
  `SectionStackSection`
  `getSection()`
  Retrieve the SectionStackSection associated with this header
  `SectionStack`
  `getSectionStack()`
  For a SectionHeader embedded in a SectionStack, this method will return a pointer to the `SectionStack` in which this section header is embedded.
  `Boolean`
  `getShowClippedTitleOnHover()`
  If true and the title is clipped, then a hover containing the full title of this section header is enabled.
  `String`
  `getTitle()`
  Title to show for the section
  `void`
  `setAlign(String align)`
  Sets the horizontal alignment of the title.
  `ImgSectionHeader`
  `setClipTitle(Boolean clipTitle)`
  If the title for this section header is too large for the available space, should the title be clipped?
  `ImgSectionHeader`
  `setControls(Canvas... controls)`
  Custom controls to be shown on top of this section header.
  `static void`
  `setDefaultProperties(ImgSectionHeader imgSectionHeaderProperties)`
  Class level method to set the default properties of this class.
  `ImgSectionHeader`
  `setIcon(String icon)`
  Optional icon to be shown with the button title text.
  `ImgSectionHeader`
  `setIconAlign(String iconAlign)`
  If this button is showing an icon should it be right or left aligned?
  `ImgSectionHeader`
  `setIconHeight(Integer iconHeight)`
  Height in pixels of the icon image.
  `ImgSectionHeader`
  `setIconOrientation(String iconOrientation)`
  If this button is showing an icon should it appear to the left or right of the title? valid options are `"left"` and `"right"`.
  `ImgSectionHeader`
  `setIconSize(int iconSize)`
  Size in pixels of the icon image.
  `ImgSectionHeader`
  `setIconWidth(Integer iconWidth)`
  Width in pixels of the icon image.
  `LogicalStructureObject`
  `setLogicalStructure(ImgSectionHeaderLogicalStructure s)`
  Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `ImgSectionHeader`
  `setNoDoubleClicks(Boolean noDoubleClicks)`
  By default doubleClicks are disabled for SectionHeaders.
  `ImgSectionHeader`
  `setPrompt(String prompt)`
  Prompt displayed in hover canvas if `showHover` is true.
  `ImgSectionHeader`
  `setShowClippedTitleOnHover(Boolean showClippedTitleOnHover)`
  If true and the title is clipped, then a hover containing the full title of this section header is enabled.
  `void`
  `setTitle(String title)`
  Title to show for the section
  `void`
  `setTitleHoverFormatter(TitleHoverFormatter formatter)`
  Provide a custom implementation of `titleHoverHTML(java.lang.String)`.
  `boolean`
  `titleClipped()`
  Is the title of this section header clipped by `section controls` or the edge of the header?
  `String`
  `titleHoverHTML(String defaultHTML)`
  Returns the HTML that is displayed by the default `titleHover` handler.

  ### Methods inherited from class com.smartgwt.client.widgets.layout.HLayout

  `setDefaultProperties, setLogicalStructure`

  ### Methods inherited from class com.smartgwt.client.widgets.layout.Layout

  `addMember, addMember, addMember, addMember, addMemberPostCreate, addMemberPostCreate, addMemberPreCreate, addMemberPreCreate, addMembers, addMembers, addMembersChangedHandler, getAnimateMembers, getAnimateMemberTime, getCanDropComponents, getChildTabPosition, getDefaultResizeBars, getDropComponent, getDropLine, getDropLineThickness, getDropPosition, getEditProxyConstructor, getEnforcePolicy, getHPolicy, getLayoutBottomMargin, getLayoutEndMargin, getLayoutLeftMargin, getLayoutMargin, getLayoutRightMargin, getLayoutStartMargin, getLayoutTopMargin, getLeaveScrollbarGap, getLocateMembersBy, getLocateMembersType, getManagePercentBreadth, getMember, getMember, getMemberDefaultBreadth, getMemberNumber, getMemberNumber, getMemberOverlap, getMembers, getMembersAsStringArray, getMembersLength, getMembersMargin, getMinMemberLength, getMinMemberSize, getOverflow, getPaddingAsLayoutMargin, getResizeBar, getResizeBarClass, getResizeBarSize, getReverseOrder, getShowDragPlaceHolder, getShowDropLines, getStackZIndex, getVertical, getVPolicy, hasMember, hideDropLine, hideMember, hideMember, layoutIsDirty, onInit, onInit_Layout, reflow, reflow, reflowNow, removeMember, removeMembers, removeMembers, reorderMember, reorderMembers, replaceMember, revealChild, revealChild, setAlign, setAlign, setAnimateMembers, setAnimateMemberTime, setCanDropComponents, setDefaultLayoutAlign, setDefaultLayoutAlign, setDefaultProperties, setDefaultResizeBars, setDropLineProperties, setDropLineThickness, setEditProxyConstructor, setEnforcePolicy, setHPolicy, setLayoutBottomMargin, setLayoutEndMargin, setLayoutLeftMargin, setLayoutMargin, setLayoutRightMargin, setLayoutStartMargin, setLayoutTopMargin, setLeaveScrollbarGap, setLocateMembersBy, setLocateMembersType, setLogicalStructure, setManagePercentBreadth, setMemberOverlap, setMembers, setMembers, setMembersMargin, setMinBreadthMember, setMinBreadthMember, setMinBreadthMember, setMinMemberLength, setMinMemberSize, setOverflow, setPaddingAsLayoutMargin, setPlaceHolderDefaults, setPlaceHolderProperties, setResizeBarClass, setResizeBarSize, setReverseOrder, setShowDragPlaceHolder, setShowDropLines, setStackZIndex, setVertical, setVisibleMember, setVPolicy, showMember, showMember`

  ### Methods inherited from class com.smartgwt.client.widgets.Canvas

  `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, contentsComponentConnected, dataContextChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, endBatchCreation, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAllCanvases, getAllCanvases, getAllCanvases, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAriaStateDefaults, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoRevertStyles, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanDropContent, getCanDropFiles, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenAsStringArray, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContentsComponentDefaults, getContextMenu, getCorrectZoomOverflow, getCursor, getDataContext, getDataPath, getDefaultHeight, getDefaultWidth, getDeferActionConversion, getDefiningProperty, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getEvents, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentCanvasAsString, getParentElement, getParentElementAsString, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowFocusOutline, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSingleDiv, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getStyleName, getTabIndex, getTestDataContext, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getTopLevelComponents, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDragMask, getUseGeneratedStyles, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getWorkflows, getZIndex, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, resolveContentsComponent, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoRevertStyles, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanDropContent, setCanDropFiles, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContentsComponentDefaults, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataPath, setDefaultHeight, setDefaultNativeAutoHideScrollbars, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDeferActionConversion, setDefiningProperty, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDropCursor, setOpacity, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentCanvas, setParentElement, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowFocusOutline, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSingleDiv, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setStyleName, setTabIndex, setTestDataContext, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDragMask, setUseGeneratedStyles, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startBatchCreation, startDebuggingOverflow, stopDebuggingOverflow, supportsValueDictation, supportsVoiceCommands, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

  ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

  `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAutoDraw, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoDraw, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

  ### Methods inherited from class com.google.gwt.user.client.ui.Widget

  `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

  ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

  `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### ImgSectionHeader

    public ImgSectionHeader()

  - ### ImgSectionHeader

    public ImgSectionHeader(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ImgSectionHeader getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### create

    protected JavaScriptObject create()
    Overrides:
      `create` in class `HLayout`

  - ### getBackground

    public StretchImg getBackground() throws IllegalStateException
    Background of the section header, based on a `StretchImg`.

    This component is an AutoChild named "background". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current background value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setClipTitle

    public ImgSectionHeader setClipTitle(Boolean clipTitle) throws IllegalStateException
    If the title for this section header is too large for the available space, should the title be clipped?

    This feature is supported only in browsers that support the CSS UI text-overflow property (IE6+, Firefox 7+, Safari, Chrome, Opera 9+).

    Parameters:
      `clipTitle` - New clipTitle value. Default value is true
    Returns:
      `ImgSectionHeader` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getClipTitle

    public Boolean getClipTitle()
    If the title for this section header is too large for the available space, should the title be clipped?

    This feature is supported only in browsers that support the CSS UI text-overflow property (IE6+, Firefox 7+, Safari, Chrome, Opera 9+).

    Returns:
      Current clipTitle value. Default value is true

  - ### setControls

    public ImgSectionHeader setControls(Canvas... controls) throws IllegalStateException
    Custom controls to be shown on top of this section header.

    These controls are shown in the `controlsLayout`.

    Note that this is an init-time property. If you need to dynamically change what controls are displayed to the user, we would recommend embedding the controls in a Layout or similar container. This will allow you to show/hide or add/remove members at runtime by manipulating the existing control(s) set up at init time.

    Parameters:
      `controls` - New controls value. Default value is null
    Returns:
      `ImgSectionHeader` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - Custom Controls Example

  - ### getControlsLayout

    public Layout getControlsLayout() throws IllegalStateException
    A `Layout` containing specified `controls` if any. Sets `Layout.membersMargin`:5, `Layout.defaultLayoutAlign`:"center", and RTL-sensitive `Layout.align` (right by default).

    This component is an AutoChild named "controlsLayout". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current controlsLayout value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setIcon

    public ImgSectionHeader setIcon(String icon)
    Optional icon to be shown with the button title text.

    Specify as the partial URL to an image, relative to the imgDir of this component. A sprited image can be specified using the `SCSpriteConfig` format.

    Note that the string "blank" is a valid setting for this attribute and will always result in the system blank image, with no state suffixes applied. Typically, this might be used when an iconStyle is also specified and the iconStyle renders the icon via a stateful background-image or other CSS approach.
    If this method is called after the component has been drawn/initialized: Change the icon being shown for the header.

    Parameters:
      `icon` - URL of new icon. Default value is null
    Returns:
      `ImgSectionHeader` instance, for chaining setter calls
    See Also:
      - `SCImgURL`
      - `Button Icon`

  - ### getIcon

    public String getIcon()
    Optional icon to be shown with the button title text.

    Specify as the partial URL to an image, relative to the imgDir of this component. A sprited image can be specified using the `SCSpriteConfig` format.

    Note that the string "blank" is a valid setting for this attribute and will always result in the system blank image, with no state suffixes applied. Typically, this might be used when an iconStyle is also specified and the iconStyle renders the icon via a stateful background-image or other CSS approach.

    Returns:
      Current icon value. Default value is null
    See Also:
      - `SCImgURL`
      - `Button Icon`

  - ### setIconAlign

    public ImgSectionHeader setIconAlign(String iconAlign) throws IllegalStateException
    If this button is showing an icon should it be right or left aligned?
    Parameters:
      `iconAlign` - New iconAlign value. Default value is null
    Returns:
      `ImgSectionHeader` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getIconAlign

    public String getIconAlign()
    If this button is showing an icon should it be right or left aligned?
    Returns:
      Current iconAlign value. Default value is null
    See Also:
      - `Button Icon`

  - ### setIconHeight

    public ImgSectionHeader setIconHeight(Integer iconHeight) throws IllegalStateException
    Height in pixels of the icon image.

    If unset, defaults to `iconSize`.

    Parameters:
      `iconHeight` - New iconHeight value. Default value is null
    Returns:
      `ImgSectionHeader` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getIconHeight

    public Integer getIconHeight()
    Height in pixels of the icon image.

    If unset, defaults to `iconSize`.

    Returns:
      Current iconHeight value. Default value is null
    See Also:
      - `Button Icon`

  - ### setIconOrientation

    public ImgSectionHeader setIconOrientation(String iconOrientation) throws IllegalStateException
    If this button is showing an icon should it appear to the left or right of the title? valid options are `"left"` and `"right"`.
    If this method is called after the component has been drawn/initialized: If this header is showing an icon should it appear to the left or right of the title? Valid options are "left" and "right".
    Parameters:
      `iconOrientation` - the new orientation. Default value is "left"
    Returns:
      `ImgSectionHeader` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getIconOrientation

    public String getIconOrientation()
    If this button is showing an icon should it appear to the left or right of the title? valid options are `"left"` and `"right"`.
    Returns:
      Current iconOrientation value. Default value is "left"
    See Also:
      - `Button Icon`

  - ### setIconSize

    public ImgSectionHeader setIconSize(int iconSize) throws IllegalStateException
    Size in pixels of the icon image.

    The `iconWidth` and `iconHeight` properties can be used to configure width and height separately.

    Note: When configuring the properties of a `StatefulCanvas` (or derivative) `AutoChild`, it is best to set the `iconWidth` and `iconHeight` to the same value rather than setting an `iconSize`. This is because certain skins or customizations thereto might set the `iconWidth` and `iconHeight`, making the customization of the AutoChild's `iconSize` ineffective.

    Parameters:
      `iconSize` - New iconSize value. Default value is 16
    Returns:
      `ImgSectionHeader` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getIconSize

    public int getIconSize()
    Size in pixels of the icon image.

    The `iconWidth` and `iconHeight` properties can be used to configure width and height separately.

    Note: When configuring the properties of a `StatefulCanvas` (or derivative) `AutoChild`, it is best to set the `iconWidth` and `iconHeight` to the same value rather than setting an `iconSize`. This is because certain skins or customizations thereto might set the `iconWidth` and `iconHeight`, making the customization of the AutoChild's `iconSize` ineffective.

    Returns:
      Current iconSize value. Default value is 16
    See Also:
      - `Button Icon`

  - ### setIconWidth

    public ImgSectionHeader setIconWidth(Integer iconWidth) throws IllegalStateException
    Width in pixels of the icon image.

    If unset, defaults to `iconSize`.

    Parameters:
      `iconWidth` - New iconWidth value. Default value is null
    Returns:
      `ImgSectionHeader` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Button Icon`

  - ### getIconWidth

    public Integer getIconWidth()
    Width in pixels of the icon image.

    If unset, defaults to `iconSize`.

    Returns:
      Current iconWidth value. Default value is null
    See Also:
      - `Button Icon`

  - ### setNoDoubleClicks

    public ImgSectionHeader setNoDoubleClicks(Boolean noDoubleClicks) throws IllegalStateException
    By default doubleClicks are disabled for SectionHeaders. All mouse click events will be handled as single clicks. Set this property to `false` to enable standard double-click handling.

    Note : This is an advanced setting

    Overrides:
      `setNoDoubleClicks` in class `Canvas`
    Parameters:
      `noDoubleClicks` - New noDoubleClicks value. Default value is true
    Returns:
      `ImgSectionHeader` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getNoDoubleClicks

    public Boolean getNoDoubleClicks()
    By default doubleClicks are disabled for SectionHeaders. All mouse click events will be handled as single clicks. Set this property to `false` to enable standard double-click handling.
    Overrides:
      `getNoDoubleClicks` in class `Canvas`
    Returns:
      Current noDoubleClicks value. Default value is true

  - ### setPrompt

    public ImgSectionHeader setPrompt(String prompt)
    Prompt displayed in hover canvas if `showHover` is true.
    If this method is called after the component has been drawn/initialized: Sets the text shown as a tooltip for the header.
    Overrides:
      `setPrompt` in class `Canvas`
    Parameters:
      `prompt` - the new tooltip. Default value is null
    Returns:
      `ImgSectionHeader` instance, for chaining setter calls
    See Also:
      - `HTMLString`
      - Hovers / Tooltips Example

  - ### getPrompt

    public String getPrompt()
    Prompt displayed in hover canvas if `showHover` is true.
    Overrides:
      `getPrompt` in class `Canvas`
    Returns:
      Current prompt value. Default value is null
    See Also:
      - `HTMLString`
      - Hovers / Tooltips Example

  - ### setShowClippedTitleOnHover

    public ImgSectionHeader setShowClippedTitleOnHover(Boolean showClippedTitleOnHover)
    If true and the title is clipped, then a hover containing the full title of this section header is enabled.
    Parameters:
      `showClippedTitleOnHover` - New showClippedTitleOnHover value. Default value is true
    Returns:
      `ImgSectionHeader` instance, for chaining setter calls

  - ### getShowClippedTitleOnHover

    public Boolean getShowClippedTitleOnHover()
    If true and the title is clipped, then a hover containing the full title of this section header is enabled.
    Returns:
      Current showClippedTitleOnHover value. Default value is true

  - ### setTitle

    public void setTitle(String title)
    Title to show for the section
    Overrides:
      `setTitle` in class `Canvas`
    Parameters:
      `title` - New title value. Default value is null
    See Also:
      - `HTMLString`

  - ### getTitle

    public String getTitle()
    Title to show for the section
    Overrides:
      `getTitle` in class `Canvas`
    Returns:
      Current title value. Default value is null
    See Also:
      - `HTMLString`

  - ### getSectionStack

    public SectionStack getSectionStack()
    For a SectionHeader embedded in a SectionStack, this method will return a pointer to the `SectionStack` in which this section header is embedded.
    Returns:
      Section Stack containing this section header

  - ### setAlign

    public void setAlign(String align)
    Sets the horizontal alignment of the title.
    Parameters:
      `align` - the new alignment

  - ### titleClipped

    public boolean titleClipped()
    Is the title of this section header clipped by `section controls` or the edge of the header?
    Returns:
      whether the title is clipped.
    See Also:
      - `getClipTitle()`

  - ### addSectionHeaderTitleHoverHandler

    public HandlerRegistration addSectionHeaderTitleHoverHandler(SectionHeaderTitleHoverHandler handler)
    Add a sectionHeaderTitleHover handler.

    Optional stringMethod to fire when the user hovers over this section header and the title is clipped. If `ImgSectionHeader.showClippedTitleOnHover` is true, the default behavior is to show a hover canvas containing the HTML returned by `ImgSectionHeader.titleHoverHTML()`. Call `SectionHeaderTitleHoverEvent.cancel()` from within `SectionHeaderTitleHoverHandler.onSectionHeaderTitleHover(com.smartgwt.client.widgets.layout.events.SectionHeaderTitleHoverEvent)` to suppress this default behavior.

    Specified by:
      `addSectionHeaderTitleHoverHandler` in interface `HasSectionHeaderTitleHoverHandlers`
    Parameters:
      `handler` - the sectionHeaderTitleHover handler
    Returns:
      `HandlerRegistration` used to remove this handler

  - ### titleHoverHTML

    public String titleHoverHTML(String defaultHTML)
    Returns the HTML that is displayed by the default `titleHover` handler. Return null or an empty string to cancel the hover.

    Use `setTitleHoverFormatter()` to provide a custom implementation.

    Parameters:
      `defaultHTML` - the HTML that would have been displayed by default. See `HTMLString`
    Returns:
      HTML to be displayed in the hover. If null or an empty string, then the hover is canceled. See `HTMLString`
    See Also:
      - `HTMLString`

  - ### setDefaultProperties

    public static void setDefaultProperties(ImgSectionHeader imgSectionHeaderProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `imgSectionHeaderProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### getSection

    public SectionStackSection getSection()
    Retrieve the SectionStackSection associated with this header
    Returns:
      the SectionStackSection for the section header

  - ### setTitleHoverFormatter

    public void setTitleHoverFormatter(TitleHoverFormatter formatter)
    Provide a custom implementation of `titleHoverHTML(java.lang.String)`.

  - ### setLogicalStructure

    public LogicalStructureObject setLogicalStructure(ImgSectionHeaderLogicalStructure s)
    Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

  - ### getLogicalStructure

    public LogicalStructureObject getLogicalStructure()
    Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    Specified by:
      `getLogicalStructure` in interface `LogicalStructure`
    Overrides:
      `getLogicalStructure` in class `HLayout`